Forms
Core
List forms
/formsList forms.
Filters
Provided via query string:
| Name | Type | Description |
|---|---|---|
id |
String |
ID |
ownerId |
String |
Owning user's ID |
workspaceId |
String |
Workspace ID |
name |
String |
Name |
status |
String |
Status |
Parameters
Provided via query string:
| Name | Type | Description |
|---|---|---|
limit |
Number |
Number of items to return |
offset |
Number |
Number of items to skip before returning |
Response
An array of Form objects.
Count forms
/forms/countCount forms.
Filters
Provided via query string:
| Name | Type | Description |
|---|---|---|
id |
String |
ID |
ownerId |
String |
Owning user's ID |
workspaceId |
String |
Workspace ID |
name |
String |
Name |
status |
String |
Status |
Response
A Count object.
Get a form
/forms/{id}Fields
List fields
/forms/{id}/fieldsList fields in a form.
Parameters
Provided via query string:
| Name | Type | Description |
|---|---|---|
limit |
Number |
Number of items to return |
offset |
Number |
Number of items to skip before returning |
Response
An array of Field objects.
Group Distribution
List IDs of mapped groups
/forms/{id}/group-idsList the IDs of groups a form is distributed to.
Parameters
Provided via query string:
| Name | Type | Description |
|---|---|---|
expand |
Boolean |
Include child groups (defaults to false) |
limit |
Number |
Number of items to return |
offset |
Number |
Number of items to skip before returning |
Response
An array of group IDs.
Submissions
List submissions
/forms/{id}/submissionsList submissions for a form.
Filters
Provided via query string:
| Name | Type | Description |
|---|---|---|
id |
String |
ID |
userId |
String |
User's ID |
email |
String |
User/participant's e-mail address |
distribution |
String |
Distribution source |
Parameters
Provided via query string:
| Name | Type | Description |
|---|---|---|
limit |
Number |
Number of items to return |
offset |
Number |
Number of items to skip before returning |
Response
An array of Submission objects.
Count submissions
/forms/{id}/submissions/countCount submissions for a form.
Filters
Provided via query string:
| Name | Type | Description |
|---|---|---|
id |
String |
ID |
userId |
String |
User's ID |
email |
String |
User/participant's e-mail address |
distribution |
String |
Distribution source |
Response
A Count object.
Get a submission
/forms/{id}/submissions/{id}Update a submission
/forms/{id}/submissions/{id}Update a submission.
Parameters
Provided via query string:
| Name | Type | Description |
|---|---|---|
notifications |
Boolean |
Trigger form notifications |
webhooks |
Boolean |
Trigger form webhooks |
dataForwarding |
Boolean |
Trigger data forwarding |
Request Body
As JSON object with the following contents:
| Property | Type | Description |
|---|---|---|
data |
Object |
A patch object. The existing data is only modified for entries included in the patch. To clear an entry, use a Note that data is only accepted for fields with the following data types:
data property in the Submission definition for more details. |
Response
A Submission object.